<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceBooking StructType
 * @subpackage Structs
 */
class ServiceBooking extends AbstractStructBase
{
    /**
     * The ServiceBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceBooking
     */
    public $ServiceBookingRQ;
    /**
     * Constructor method for ServiceBooking
     * @uses ServiceBooking::setServiceBookingRQ()
     * @param \StructType\JP_ServiceBooking $serviceBookingRQ
     */
    public function __construct(\StructType\JP_ServiceBooking $serviceBookingRQ = null)
    {
        $this
            ->setServiceBookingRQ($serviceBookingRQ);
    }
    /**
     * Get ServiceBookingRQ value
     * @return \StructType\JP_ServiceBooking|null
     */
    public function getServiceBookingRQ()
    {
        return $this->ServiceBookingRQ;
    }
    /**
     * Set ServiceBookingRQ value
     * @param \StructType\JP_ServiceBooking $serviceBookingRQ
     * @return \StructType\ServiceBooking
     */
    public function setServiceBookingRQ(\StructType\JP_ServiceBooking $serviceBookingRQ = null)
    {
        $this->ServiceBookingRQ = $serviceBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
